/*****************************************************************************
 The Klipper Library, By Kirby L. Wallace.  Copyright (c), 1986-1994
             Wallace Information Systems Engineering

       DEMO: _ColorSay(), _ReColor(), _Num2Color, _Color2Num()


DESCRIPTION: This demo uses _FScreen to draw a blank screen, then fills it
             with boxes of various color attributes.

             Then, using _ColorSay, a string is printed across the boxes,
             keeping the existing color attributes in each byte.

             Then, _Recolor() is called to recolor a region on the centre of
             each line in a different color scheme, leaving unchanged the
             text that is in each byte.

     COMPILE: CLIPPER Screen1 -m -n
        LINK: BLINKER FI Screen1 LIB Clipper, Klipper, OUTPUT SCREEN1.EXE


******************************************************************************/

FUNCTION main()


_FScreen('KLIPPER v2.4 DEMO: _ColorSay(), _ReColor(), _Num2Color(), _Color2Num()')

setcolor('n/w')    ; _box(5,2,20,10, ,'X')
setcolor('b+/gr')  ; _box(5,12,20,22,,'X')
setcolor('g*/rb')  ; _box(5,24,20,33,,'X')
setcolor('bg+*/r') ; _box(5,35,20,44,,'X')
setcolor('r/bg')   ; _box(5,46,20,55,,'X')
setcolor('rb+/g')  ; _box(5,57,20,67,,'X')
setcolor('gr*/b')  ; _box(5,69,20,74,,'X')
setcolor('w+*/n')  ; _box(5,76,20,78,,'X')

_ColorSay(07,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(08,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(09,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(10,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(11,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(12,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(13,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(14,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(15,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(16,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(17,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(18,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')
_ColorSay(19,0,'The Quick brown fox jumped over the lazy dogs back and landed on its head!!!!!')



_ReColor(07,20,7,60,'w+*/n' )
_ReColor(08,20,7,60,'gr*/b' )
_ReColor(09,20,7,60,'rb+/g' )
_ReColor(10,20,7,60,'r/bg' )
_ReColor(11,20,7,60,'bg+*/r' )
_ReColor(12,20,7,60,'g*/rb' )
_ReColor(13,20,7,60,'b+/gr' )
_ReColor(14,20,7,60,'n/w' )

inkey(0)

RETURN(nil)

